## GnomeDbGraphItem GnomeDbGraphItem |

## Synopsis

                        GnomeDbGraphItem;
                        GnomeDbGraphItemClass;
    GnomeDbGraphItem *  gnome_db_graph_item_new             (GnomeDbGraph *graph);
    GnomeDbGraph *      gnome_db_graph_item_get_graph       (GnomeDbGraphItem *item);
    void                gnome_db_graph_item_set_position    (GnomeDbGraphItem *item,
                                                             gdouble x,
                                                             gdouble y);
    void                gnome_db_graph_item_get_position    (GnomeDbGraphItem *item,
                                                             gdouble *x,
                                                             gdouble *y);

## Object Hierarchy

      GObject
       +----GnomeDbGraphItem

## Properties

      "graph"                    GnomeDbGraph*         : Read / Write / Construct Only

## Signals

      "moved"                                          : Run First

## Description

## Details

### GnomeDbGraphItem

    typedef struct _GnomeDbGraphItem GnomeDbGraphItem;

### GnomeDbGraphItemClass

    typedef struct {
    	GObjectClass   parent_class;

    	/* signals */
    	void        (*moved) (GnomeDbGraphItem *item);
    } GnomeDbGraphItemClass;

### gnome_db_graph_item_new ()

    GnomeDbGraphItem *  gnome_db_graph_item_new             (GnomeDbGraph *graph);

Creates a new GnomeDbGraphItem object

`graph` : | a GnomeDbGraph graph object
Returns : | the newly created object

### gnome_db_graph_item_get_graph ()

    GnomeDbGraph *      gnome_db_graph_item_get_graph       (GnomeDbGraphItem *item);

`item` : |
Returns : |

### gnome_db_graph_item_set_position ()

    void                gnome_db_graph_item_set_position    (GnomeDbGraphItem *item,
                                                             gdouble x,
                                                             gdouble y);

Sets the position to be remembered for `item`.

`item` : | a GnomeDbGraphItemItem object
`x` : |
`y` : |

### gnome_db_graph_item_get_position ()

    void                gnome_db_graph_item_get_position    (GnomeDbGraphItem *item,
                                                             gdouble *x,
                                                             gdouble *y);

Get `item`'s position.

`item` : | a GnomeDbGraphItemItem object
`x` : | a place where to store the X part of the position, or `NULL`
`y` : | a place where to store the Y part of the position, or `NULL`

## Property Details

### The `"graph"` property

      "graph"                    GnomeDbGraph*         : Read / Write / Construct Only

## Signal Details

### The `"moved"` signal

    void                user_function                      (GnomeDbGraphItem *dbgraphitem,
                                                            gpointer          user_data)        : Run First

`dbgraphitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.